net.minecraft.world.biome

## Class WorldChunkManager

- java.lang.Object
- - net.minecraft.world.biome.WorldChunkManager

- Direct Known Subclasses:
    WorldChunkManagerHell

      public class WorldChunkManager
      extends java.lang.Object

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static java.util.ArrayList<BiomeGenBase>` | `allowedBiomes`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `WorldChunkManager()`
    `` | `WorldChunkManager(long par1, WorldType par3WorldType)`
    `` | `WorldChunkManager(World par1World)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `areBiomesViable(int par1, int par2, int par3, java.util.List par4List)`
    `void` | `cleanupCache()`
    `ChunkPosition` | `findBiomePosition(int p_150795_1_, int p_150795_2_, int p_150795_3_, java.util.List p_150795_4_, java.util.Random p_150795_5_)`
    `BiomeGenBase[]` | `getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5, boolean par6)`
    `BiomeGenBase` | `getBiomeGenAt(int par1, int par2)`
    `BiomeGenBase[]` | `getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)`
    `java.util.List` | `getBiomesToSpawnIn()`
    `GenLayer[]` | `getModdedBiomeGenerators(WorldType worldType, long seed, GenLayer[] original)`
    `float[]` | `getRainfall(float[] par1ArrayOfFloat, int par2, int par3, int par4, int par5)`
    `float` | `getTemperatureAtHeight(float par1, int par2)`
    `BiomeGenBase[]` | `loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase, int par2, int par3, int par4, int par5)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### allowedBiomes

          public static java.util.ArrayList<BiomeGenBase> allowedBiomes

  - ### Constructor Detail

    - #### WorldChunkManager

          protected WorldChunkManager()

    - #### WorldChunkManager

          public WorldChunkManager(long par1,
                           WorldType par3WorldType)

    - #### WorldChunkManager

          public WorldChunkManager(World par1World)

  - ### Method Detail

    - #### getBiomesToSpawnIn

          public java.util.List getBiomesToSpawnIn()

    - #### getBiomeGenAt

          public BiomeGenBase getBiomeGenAt(int par1,
                                   int par2)

    - #### getRainfall

          public float[] getRainfall(float[] par1ArrayOfFloat,
                            int par2,
                            int par3,
                            int par4,
                            int par5)

    - #### getTemperatureAtHeight

          public float getTemperatureAtHeight(float par1,
                                     int par2)

    - #### getBiomesForGeneration

          public BiomeGenBase[] getBiomesForGeneration(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

    - #### loadBlockGeneratorData

          public BiomeGenBase[] loadBlockGeneratorData(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                              int par2,
                                              int par3,
                                              int par4,
                                              int par5)

    - #### getBiomeGenAt

          public BiomeGenBase[] getBiomeGenAt(BiomeGenBase[] par1ArrayOfBiomeGenBase,
                                     int par2,
                                     int par3,
                                     int par4,
                                     int par5,
                                     boolean par6)

    - #### areBiomesViable

          public boolean areBiomesViable(int par1,
                                int par2,
                                int par3,
                                java.util.List par4List)

    - #### findBiomePosition

          public ChunkPosition findBiomePosition(int p_150795_1_,
                                        int p_150795_2_,
                                        int p_150795_3_,
                                        java.util.List p_150795_4_,
                                        java.util.Random p_150795_5_)

    - #### cleanupCache

          public void cleanupCache()

    - #### getModdedBiomeGenerators

          public GenLayer[] getModdedBiomeGenerators(WorldType worldType,
                                            long seed,
                                            GenLayer[] original)